<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>

<div id="comments">
    <?php $this->comments()->to($comments); ?>

    <?php if($this->allow('comment')){?>
    <div id="<?php $this->respondId(); ?>" class="commentpost">
		<div class="cmt-avatar"><img src="<?php echo avatar($this->user->uid,$this->remember('mail'));?>"></div>
    	<form method="post" action="<?php $this->commentUrl() ?>" id="comment-form" role="form">			
			<?php if($this->user->hasLogin()){?>
				<input type="text" value="<?php $this->user->screenName(); ?>" readonly/><label>/</label>
				<input type="hidden" name="mail" value="<?php $this->user->mail(); ?>" readonly/>
				<input type="number" id="qq" placeholder="QQ" readonly/><label>/</label>
				<input type="text" value="<?php $this->user->url(); ?>" readonly/>
			<?php }else{?>
				<input type="text" name="author" id="author" value="<?php $this->remember('author');?>" required placeholder="名称"/><label>/</label>
				<input type="hidden" name="mail" id="mail" value="<?php $this->remember('mail');?>" <?php if ($this->options->commentsRequireMail): ?>required<?php endif; ?> />
				<input type="number" id="qq" placeholder="QQ" /><label>/</label>
				<input type="url" name="url" id="url" value="<?php $this->remember('url');?>" <?php if ($this->options->commentsRequireURL): ?>required<?php endif; ?> placeholder="http://" />
			<?php }?>
			<textarea rows="8" cols="50" name="text" id="textarea" class="textarea" required ><?php $this->remember('text'); ?></textarea>
			<button type="submit" class="submit"><?php _e('<i class="fa fa-paper-plane"></i>'); ?></button>
			<span class="cancel-comment-reply"><?php $comments->cancelReply('<i class="fa fa-remove"></i>'); ?></span>
    	</form>
    </div>
    <?php }else{?>
		<p>评论已关闭！</p>
    <?php }?>

	<div class="ias_list">
    <?php if ($comments->have()): ?>
		<?php $comments->listComments(); ?>
    <?php endif; ?>
	</div>
	<div class="ias_pagebar"><?php $comments->pageNav('&laquo; 前一页', '后一页 &raquo;'); ?></div>
</div>

<?php function threadedComments($comments,$options) {?>
	<li<?php if(!$comments->parent){echo ' class="ias_item"';}?>>
		<div class="cmt-ava">
            <img src="<?php echo avatar($comments->author->uid,$comments->mail);?>">
		</div>
		<div class="cmt-content" id="<?php $comments->theId(); ?>">
			<div class="cmt-hea">
				<?php $comments->author(); ?>
				<?php if ($comments->levels) {echo atReply($comments->parent);}?>
				<time>• <?php $comments->dateWord(); ?></time>
				<span class="comment-reply"><?php $comments->reply('<i class="fa fa-reply"></i>'); ?></span>
			</div>
			<div class="cmt-txt"><?php $comments->content(); ?></div>
			<?php if ($comments->children && !$comments->levels) { ?>
				<?php $comments->threadedComments();?>
			<?php } ?>
		</div>
	</li>
	<?php if ($comments->children && $comments->levels) { ?>
		<?php $comments->threadedComments();?>
	<?php } ?>
<?php } ?>
